一,yum 安装apche服务;

  1. yum -y install httpd   yum安装

  2. vim /var/www/html    网页目录

  3. chkconfig --levels 235 httpd on  设置开机启动Apache

  4. service httpd start  //etc/init.d/httpd start   启动服务

二,源码包安装apche

  1. cd /usr/local/src

  2. wget  http://mirrors.sohu.com/apache/httpd-2.2.31.tar.gz(前提要安装wget)

  3. tar  zxvf   httpd-2.2.31.tar.gz

  4. cd httpd-2.2.31

  5. ./configure \ --prefix=/usr/local/apache2 \ --with-included-apr \ --enable-so \ --enable-deflate=shared \ --enable-expires=shared \ --enable-rewrite=shared \ --with-pcre   (要安装gcc)(--prefix 指定安装到哪里, --enable-so 表示启用DSO [1] --enable-deflate=shared 表示共享的方式编译deflate,后面的参数同理。如果这一步你出现了这样的错误:) 会出现报错error: mod_deflate has been requested but can not be built due to prerequisite failures;解决办法:yum install -y zlib-devel;

  6. 为了避免在make的时候出现错误,所以最好是提前先安装好一些库文件:yum install -y pcre         pcre-devel apr apr-devel

  7. 编译安装:make   &&  make install;以上两个步骤都可以使用 echo $? 来检查是否正确执行, 否则需要根据错误提示去解决问题。

  8. 修改配置文件;vim /usr/local/apache2/conf/httpd.conf  修改  101(行) 为 ServerName localhost:80   修改行(set nu)

  9. 启动httpd:/usr/local/apache2/bin/apachectl start  (重启restart;加载reload、graceful)(注意防火墙!setenforce 0)


             wKiom1hQCUGReCc1AAA9t36wrQQ514.png